org.eclipse.microprofile.metrics.tck.tags

## Class TagsTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.tags.TagsTest

    public class TagsTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TagsTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `concurrentGuageTagsTest()`
`void` `counterTagsTest()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `histogramTagsTest()`
`void` `lastTagValueTest()`
`void` `meterTagsTest()`
`void` `simpleTagTest()`
`void` `simpleTimerTagsTest()`
`void` `timerTagsTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagsTest

    public TagsTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### simpleTagTest

    @InSequence(value=1)
    public void simpleTagTest()

#### lastTagValueTest

    @InSequence(value=2)
    public void lastTagValueTest()

#### counterTagsTest

    @InSequence(value=3)
    public void counterTagsTest()

#### meterTagsTest

    @InSequence(value=4)
    public void meterTagsTest()

#### timerTagsTest

    @InSequence(value=5)
    public void timerTagsTest()

#### histogramTagsTest

    @InSequence(value=6)
    public void histogramTagsTest()

#### simpleTimerTagsTest

    @InSequence(value=7)
    public void simpleTimerTagsTest()

#### concurrentGuageTagsTest

    @InSequence(value=8)
    public void concurrentGuageTagsTest()